zenilib: __DRIcoreExtensionRec Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
__DRIcoreExtensionRec Struct Reference

`#include <dri_interface.h>`

## Public Attributes

__DRIextension | base
int(* | bindContext )(__DRIcontext *ctx, __DRIdrawable *pdraw, __DRIdrawable *pread)
int(* | copyContext )(__DRIcontext *dest, __DRIcontext *src, unsigned long mask)
__DRIcontext *(* | createNewContext )(__DRIscreen *screen, const __DRIconfig *config, __DRIcontext *shared, void *loaderPrivate)
__DRIdrawable *(* | createNewDrawable )(__DRIscreen *screen, const __DRIconfig *config, unsigned int drawable_id, unsigned int head, void *loaderPrivate)
__DRIscreen *(* | createNewScreen )(int screen, int fd, unsigned int sarea_handle, const __DRIextension **extensions, const __DRIconfig ***driverConfigs, void *loaderPrivate)
void(* | destroyContext )(__DRIcontext *context)
void(* | destroyDrawable )(__DRIdrawable *drawable)
void(* | destroyScreen )(__DRIscreen *screen)
int(* | getConfigAttrib )(const __DRIconfig *config, unsigned int attrib, unsigned int *value)
const __DRIextension **(* | getExtensions )(__DRIscreen *screen)
int(* | indexConfigAttrib )(const __DRIconfig *config, int index, unsigned int *attrib, unsigned int *value)
void(* | swapBuffers )(__DRIdrawable *drawable)
int(* | unbindContext )(__DRIcontext *ctx)

## Detailed Description

Definition at line 528 of file dri_interface.h.

## Member Data Documentation

__DRIextension __DRIcoreExtensionRec::base

Definition at line 529 of file dri_interface.h.

int(* __DRIcoreExtensionRec::bindContext)(__DRIcontext *ctx, __DRIdrawable *pdraw, __DRIdrawable *pread)

Definition at line 569 of file dri_interface.h.

int(* __DRIcoreExtensionRec::copyContext)(__DRIcontext *dest, __DRIcontext *src, unsigned long mask)

Definition at line 563 of file dri_interface.h.

__DRIcontext*(* __DRIcoreExtensionRec::createNewContext)(__DRIscreen *screen, const __DRIconfig *config, __DRIcontext *shared, void *loaderPrivate)

Definition at line 558 of file dri_interface.h.

__DRIdrawable*(* __DRIcoreExtensionRec::createNewDrawable)(__DRIscreen *screen, const __DRIconfig *config, unsigned int drawable_id, unsigned int head, void *loaderPrivate)

Definition at line 548 of file dri_interface.h.

__DRIscreen*(* __DRIcoreExtensionRec::createNewScreen)(int screen, int fd, unsigned int sarea_handle, const __DRIextension **extensions, const __DRIconfig ***driverConfigs, void *loaderPrivate)

Definition at line 531 of file dri_interface.h.

void(* __DRIcoreExtensionRec::destroyContext)(__DRIcontext *context)

Definition at line 567 of file dri_interface.h.

void(* __DRIcoreExtensionRec::destroyDrawable)(__DRIdrawable *drawable)

Definition at line 554 of file dri_interface.h.

void(* __DRIcoreExtensionRec::destroyScreen)(__DRIscreen *screen)

Definition at line 537 of file dri_interface.h.

int(* __DRIcoreExtensionRec::getConfigAttrib)(const __DRIconfig *config, unsigned int attrib, unsigned int *value)

Definition at line 541 of file dri_interface.h.

const __DRIextension**(* __DRIcoreExtensionRec::getExtensions)(__DRIscreen *screen)

Definition at line 539 of file dri_interface.h.

int(* __DRIcoreExtensionRec::indexConfigAttrib)(const __DRIconfig *config, int index, unsigned int *attrib, unsigned int *value)

Definition at line 545 of file dri_interface.h.

void(* __DRIcoreExtensionRec::swapBuffers)(__DRIdrawable *drawable)

Definition at line 556 of file dri_interface.h.

int(* __DRIcoreExtensionRec::unbindContext)(__DRIcontext *ctx)

Definition at line 573 of file dri_interface.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/zenilib/zeni_graphics/GL/internal/dri_interface.h